### Method

# GLib Bytes equal

since: 2.32

#### Declaration

    gboolean
    g_bytes_equal (
      gconstpointer bytes1,
      gconstpointer bytes2
    )

#### Description

Compares the two `GBytes` values being pointed to and returns `TRUE` if they are equal.

This function can be passed to `g_hash_table_new()` as the `key_equal_func` parameter, when using non-`NULL` `GBytes` pointers as keys in a `GHashTable`.

Available since: 2.32

#### Parameters

`bytes2`

  Type: `GBytes`

  A pointer to a `GBytes` to compare with `bytes1`

#### Return value

Type: `gboolean`

`TRUE` if the two keys match.